﻿using System.ComponentModel.DataAnnotations;

namespace PassportNumber_Validation_ServerSide_Razor_Core.Models
{
    public class PersonModel
    {
        [Display(Name = "Passport Number:")]
        [Required(ErrorMessage = "Invalid Passport Number.")]
        [RegularExpression(@"^[A-PR-WY][1-9]\d\s?\d{4}[1-9]$", ErrorMessage = "Invalid Passport Number.")]
        public string PassportNumber { get; set; }
    }
}
